`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    15:20:56 02/17/2010 
// Design Name: 
// Module Name:    topmodule 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module topmodule(
	input [3:0]Ain,
	input [3:0]Bin,
	input [3:0]sel,
	output [7:0]led
    );
	 
	wire [7:0]addwire;
	wire [7:0]subwire;
	wire [7:0]mplywire;
	wire [7:0]ixorwire;
	wire errorwire;
	
	
	add addmodule (.A(Ain), .B(Bin), .out(addwire));
	sub submodule (.A(Ain), .B(Bin), .out(subwire), .error(errorwire));
	mply mplymodule (.A(Ain), .B(Bin), .out(mplywire));
	ixor ixormodule (.A(Ain), .B(Bin), .out(ixorwire));
	mux multiplexer (.sub(subwire), .add(addwire), .mply(mplywire), .ixor(ixorwire), .sel(sel), .error(errorwire), .out(led));


endmodule
