`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    15:07:24 02/17/2010 
// Design Name: 
// Module Name:    mux 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module mux(
    input [7:0] sub,
    input [7:0] add,
	 input [7:0] mply,
    input [7:0] ixor,
	 input [4:0] sel,
	 input error,
    output reg [7:0] out
);

	always @(*)
		casex ({sel,error})
			5'b0001x : out <= add;
			5'b00100 : out <= sub;
			5'b0100x : out <= mply;
			5'b10000 : out <= ixor;
			5'bxxxx1 : out <= 8'b1111_1111;
			default  : out <= 8'b0;
		endcase
			
endmodule
