`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    17:28:14 02/17/2010 
// Design Name: 
// Module Name:    dekod 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module dekod(
	input [7:0] inputens,
	input [3:0] A,
	input [3:0] B,
	input eng,
	output reg [3:0] digisel,
	output reg [3:0] segout
	);
	
	reg allapot[1:0];
	
always @ (posedge eng)
	allapot = allapot + 1;
	case allapot
		2'b00 : begin 
					segout <= A;
					digisel <= 4'b1000;
				  end
		2'b01 : begin
					segout <= B;
					digisel <= 4'b0100;
				  end
		2'b10 : begin
					segout <= inputens [7:4];
					digisel <= 4'b0010;
				  end
		2'b11 : begin 
					segout <= inputens [3:0];
					digisel <= 4'b0001;
				  end
	 endcase
					
endmodule
